GUIX(1)

NAME
guix - manual page for guix build (GNU Guix) 0.12.0

SYNOPSIS
guix build [OPTION]... PACKAGE-OR-DERIVATION...

DESCRIPTION
Build the given PACKAGE-OR-DERIVATION and return their output paths.

-e, --expression=EXPR
    build the package or derivation EXPR evaluates to

-f, --file=FILE
    build the package or derivation that the code within FILE evaluates to

-S, --source
    build the packages' source derivations

--sources[=TYPE]
    build source derivations; TYPE may optionally be one of "package", "all" (default), or "transitive"

-s, --system=SYSTEM
    attempt to build for SYSTEM--e.g., "i686-linux"

--target=TRIPLET
    cross-build for TRIPLET--e.g., "armel-linux-gnu"

-d, --derivations
    return the derivation paths of the given packages

--check
    rebuild items to check for non-determinism issues

-r, --root=FILE
    make FILE a symlink to the result, and register it as a garbage collector root

-q, --quiet
    do not show the build log

--log-file
    return the log file names for the given derivations

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-build-hook
    do not attempt to offload builds via the build hook

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--verbosity=LEVEL
    use the given verbosity LEVEL

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--with-source=SOURCE
    use SOURCE when building the corresponding package

--with-input=PACKAGE=REPLACEMENT
    replace dependency PACKAGE by REPLACEMENT

--with-graft=PACKAGE=REPLACEMENT
    graft REPLACEMENT on packages that refer to PACKAGE

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <http://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2016 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.